<?php
include('conexion.php');

$dato = $_POST['dato'];

$con = mysqli_query($conexion,"SELECT * FROM Ventas WHERE IdVenta='$dato'");
$f = mysqli_fetch_array($con);

$serie = $f['Serie'];
$folio = $f['FolioVenta'];
$tipoorden = $f['TipoOrden'];
$tipofolio = $f['TipoFolio'];
$cliente = $f['IdCliente'];
$user = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipouser'];
$nomadmin = $_SESSION['nom_admin'];

$c = mysqli_query($conexion,"SELECT * FROM Clientes WHERE IdCliente = '$cliente'");
$cf = mysqli_fetch_array($c);
$nomc = $cf['Nombre'];

if($tipofolio == 1){
	$tf = 'NVC-';
	$tip = 2;
	$foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE TipoFolio ='2' AND IdSucursal = '$suc' AND Serie ='$tf'  AND Activo = '1' order by FolioVenta desc limit 1");
    $f = mysqli_fetch_array($foli);
    $num = $f['FolioVenta']+1;
    $num = sprintf('%04d',$num);
}else if($tipofolio == 2){
	$tf = 'CUL-';
	$tip = 1;
	$fol = mysqli_query($conexion,"SELECT * FROM Ventas ");
	if(mysqli_num_rows($fol)>0){

	    $foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE TipoFolio = '1' AND IdSucursal ='$suc' AND Serie ='$tf' AND Activo = '1' order by FolioVenta desc limit 1");
	    $f = mysqli_fetch_array($foli);
	    $num = $f['FolioVenta']+1;
	    $num = sprintf('%04d',$num);
	}
}



$prue = mysqli_query($conexion,"INSERT INTO Ventas (TipoOrden, IdVendedor, Serie, FolioVenta, TipoFolio, FechaVenta, FechaBusq, IdSucursal, IdCliente, Subtotal, Descuento, Total, Anticipo, Saldo, Obs, HoraEntrega, FechaEntrega, EdoFact, NumFact, EstadoPago, EstadoOrden, Activo, CostoTotal, Utilidad) SELECT TipoOrden, IdVendedor, Serie, FolioVenta, TipoFolio, FechaVenta, FechaBusq, IdSucursal, IdCliente, Subtotal, Descuento, Total, Anticipo, Saldo, Obs, HoraEntrega, FechaEntrega, EdoFact, NumFact, EstadoPago, EstadoOrden, 0, CostoTotal, Utilidad FROM Ventas Where IdVenta ='$dato'");

$vendet = mysqli_query($conexion,"INSERT INTO VentasDetalle (Serie, IdVenta, TipoPrecio, Cantidad, Largo, Ancho, Umed, Area, CodProd, CrisN, CrisA, Ml, Res, PapF, Text, Canva, Acrilico, DobleCara, ObsProd, PrecioMold, PrecioCrisN, PrecioCrisA, PrecioMl, PrecioRes, PrecioPapel, PrecioText, PrecioMaq, PrecioCanva, PrecioAcrilico, PrecioDobleCara, PrecioTotal, cmold, ccn, cca, cml, cr, cpap, ctext, ccan, cdc, ctotal, IdUsuario, Fecha, IdSucursal, Activo, TiraC, PTiraC, CTiraC) SELECT Serie, IdVenta, TipoPrecio, Cantidad, Largo, Ancho, Umed, Area, CodProd, CrisN, CrisA, Ml, Res, PapF, Text, Canva, Acrilico, DobleCara, ObsProd, PrecioMold, PrecioCrisN, PrecioCrisA, PrecioMl, PrecioRes, PrecioPapel, PrecioText, PrecioMaq, PrecioCanva, PrecioAcrilico, PrecioDobleCara, PrecioTotal, cmold, ccn, cca, cml, cr, cpap, ctext, ccan, cdc, ctotal, IdUsuario, Fecha, IdSucursal, 0, TiraC, PTiraC, CTiraC FROM VentasDetalle WHERE Serie= '$serie' AND IdVenta = '$folio' AND Activo = 1");



$movet = mysqli_query($conexion,"INSERT INTO Movimientos (Serie, FolioVenta, Descripcion, TipoMovimiento, Fecha, Total, Anticipo, Saldo, IdUsuario, IdSucursal, Activo, FechaB, MetodoPago, TipoEgreso) SELECT Serie, FolioVenta, Descripcion, TipoMovimiento, Fecha, Total, Anticipo, Saldo, IdUsuario, IdSucursal, 0, FechaB, MetodoPago, TipoEgreso  FROM Movimientos WHERE Serie = '$serie' AND FolioVenta = '$folio' AND Activo = 1");

$ex =	mysqli_query($conexion,"UPDATE Ventas SET Serie='$tf', FolioVenta ='$num', TipoFolio ='$tip' WHERE IdVenta= '$dato'");
$exvd = mysqli_query($conexion,"UPDATE VentasDetalle SET Serie='$tf', IdVenta = '$num' WHERE Serie = '$serie' AND IdVenta = '$folio' AND Activo = 1");

$mb = mysqli_query($conexion,"SELECT * FROM Movimientos WHERE Serie = '$serie' AND FolioVenta = '$folio' AND Activo = 1");
while($mf = mysqli_fetch_array($mb)){
	$idm = $mf['IdMovimiento'];
	$tipomov = $mf['TipoMovimiento'];
	if($tipomov == 1){
		$desc = 'ORDEN CAPTURADA FOLIO '.$tf.''.$num.' CLIENTE '.$nomc;
	}else if($tipomov == 3){
		$desc = 'PAGO CAPTURADO ORDEN '.$tf.''.$num;
	}else if($tipomov == 5){
		$desc = 'ORDEN EDITADA FOLIO '.$tf.''.$num.' CLIENTE '.$nomc;
	}
	$exmov = mysqli_query($conexion,"UPDATE Movimientos SET Serie = '$tf', FolioVenta = '$num', Descripcion = '$desc' WHERE IdMovimiento = '$idm' AND Activo = 1");
}
$completo = $tf.$num;
echo $completo;




?>